export class StbAlert {
    constructor() {
        this.context = '';
        this.closeSelector = '[data-dismiss="alert"]';
    }
    componentDidLoad() {
        if (this.context) {
            this.element.classList.add('alert-' + this.context);
        }
        this.setCloseListener();
    }
    componentDidUnload() {
        this.clearCloseListener();
    }
    setCloseListener() {
        this.closeElement = this.element.querySelector(this.closeSelector);
        this.closeListener = () => {
            console.log(this.element);
            this.element.outerHTML = '';
            delete this.element;
        };
        console.log(this.closeElement);
        if (this.closeElement) {
            this.closeElement.addEventListener('mouseup', this.closeListener);
        }
    }
    clearCloseListener() {
        this.closeElement.removeEventListener('mouseup', this.closeListener);
    }
    watchContext(newValue, oldValue) {
        if (oldValue) {
            this.element.classList.remove('alert-' + oldValue);
        }
        if (newValue) {
            this.element.classList.add('alert-' + newValue);
        }
    }
    static get is() { return "stb-alert"; }
    static get host() { return { "theme": "alert", "role": "alert" }; }
    static get properties() { return { "closeSelector": { "type": String, "attr": "close-selector" }, "context": { "type": String, "attr": "context", "watchCallbacks": ["watchContext"] }, "element": { "elementRef": true } }; }
}
