export class StbCode {
    constructor() {
        this.language = 'html';
    }
    componentDidLoad() {
        const element = this.element.querySelector('code');
        hljs.highlightBlock(element);
        this.clipboard = new ClipboardJS(this.element.querySelector('.clip-code'), {
            target: () => {
                return element;
            }
        });
    }
    componentDidUnload() {
        if (this.clipboard) {
            this.clipboard.destroy();
        }
    }
    // loadLibs() {
    //   const imported = document.createElement('script');
    //   imported.src = '/path/to/imported/script';
    //   document.head.appendChild(imported);
    // }
    render() {
        return (h("div", null,
            h("div", { class: "language-title", style: { backgroundColor: 'purple', color: 'white' } },
                h("span", null, this.language.toUpperCase()),
                h("button", { class: 'btn clip-code' }, "Copy to clipboard")),
            h("pre", null,
                h("code", { class: `${this.language}` },
                    h("slot", null)))));
    }
    static get is() { return "stb-code"; }
    static get properties() { return { "element": { "elementRef": true }, "language": { "type": String, "attr": "language" } }; }
    static get style() { return "/**style-placeholder:stb-code:**/"; }
}
