export class StbPageModals {
    openModal() {
        const modal = document.querySelector('stb-modal');
        modal.show();
    }
    closeModal() {
        const modal = document.querySelector('stb-modal');
        modal.hide();
    }
    openLongModal() {
        const modal = document.querySelector('#long-modal');
        modal.show();
    }
    closeLongModal() {
        const modal = document.querySelector('#long-modal');
        modal.hide();
    }
    render() {
        return (h("div", { class: "pb-4" },
            h("h2", null, "Modals"),
            h("button", { class: "btn m-1", onClick: this.openModal }, "Open Modal"),
            h("button", { class: "btn m-1", onClick: this.openLongModal }, "Open Long Modal"),
            h("br", null),
            h("stb-code", { language: 'typescript' }, `import {Component} from '@stencil/core';

@Component({
  tag: 'page'
})
class Page {

 openLongModal() {
    const modal: any = document.querySelector('stb-modal');
    modal.show();
  }

  closeLongModal() {
    const modal: any = document.querySelector('stb-modal');
    modal.hide();
  }

  render() {
    return (
      <stb-modal>
        <div slot="modal-dialog" class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
            <button type="button" class="close" onClick={this.closeModal}>
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            ...
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" onClick={this.closeModal}>Close</button>
            <button type="button" class="btn btn-primary">Save changes</button>
          </div>
        </div>
      </stb-modal>
    );
  }
}`),
            h("stb-modal", null,
                h("div", { class: "modal-dialog", role: "document" },
                    h("div", { class: "modal-content" },
                        h("div", { class: "modal-header" },
                            h("h5", { class: "modal-title", id: "exampleModalLabel" }, "Modal title"),
                            h("button", { type: "button", class: "close", onClick: this.closeModal },
                                h("span", { "aria-hidden": "true" }, "\u00D7"))),
                        h("div", { class: "modal-body" }, "..."),
                        h("div", { class: "modal-footer" },
                            h("button", { type: "button", class: "btn btn-secondary", onClick: this.closeModal }, "Close"),
                            h("button", { type: "button", class: "btn btn-primary" }, "Save changes"))))),
            h("stb-modal", { id: "long-modal" },
                h("div", { class: "modal-dialog", role: "document" },
                    h("div", { class: "modal-content" },
                        h("div", { class: "modal-header" },
                            h("h5", { class: "modal-title", id: "exampleModalLabel" }, "Modal title 2"),
                            h("button", { type: "button", class: "close", onClick: this.closeLongModal },
                                h("span", { "aria-hidden": "true" }, "\u00D7"))),
                        h("div", { class: "modal-body" }, "Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla. Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla."),
                        h("div", { class: "modal-footer" },
                            h("button", { type: "button", class: "btn btn-secondary", onClick: this.closeLongModal }, "Close"),
                            h("button", { type: "button", class: "btn btn-primary" }, "Save changes"))))),
            h("br", null),
            h("br", null),
            h("h3", null, "Methods"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Method"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').toggle()")),
                        h("td", null, "Toggles the modal.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').show()")),
                        h("td", null, "Shows the modal.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').hide()")),
                        h("td", null, "hides the modal.")))),
            h("br", null),
            h("h3", null, "Events"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Event"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "onShow")),
                        h("td", null, "This event fires immediately when the show instance method is called.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "onHide")),
                        h("td", null, "This event is fired when a modal page has finished being hidden."))))));
    }
    static get is() { return "stb-page-modals"; }
    static get style() { return "/**style-placeholder:stb-page-modals:**/"; }
}
